Package org.eclipse.net4j.util.ui.views

# Class ContainerItemProvider.AbstractNode

java.lang.Object
org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractNode

All Implemented Interfaces:
  `ContainerItemProvider.Node`

Direct Known Subclasses:
  `ContainerItemProvider.AbstractContainerNode`, `ContainerItemProvider.LeafNode`

Enclosing class:
  `ContainerItemProvider<CONTAINER extends IContainer<Object>>`

public abstract class ContainerItemProvider.AbstractNode extends Object implements ContainerItemProvider.Node

Author:
  Eike Stepper

## Field Summary

### Fields inherited from interface org.eclipse.net4j.util.ui.views.ContainerItemProvider.Node

`NO_CHILDREN`

## Constructor Summary

Constructors
Constructor
Description
`AbstractNode(ContainerItemProvider.Node parent)`

## Method Summary

Modifier and Type
Method
Description
`protected ContainerItemProvider.Node`
`addChild(Collection<ContainerItemProvider.Node> children, Object element)`
`protected void`
`checkNotDisposed()`
`void`
`dispose()`
`void`
`disposeChildren()`
`final ContainerItemProvider.Node`
`getParent()`
`final Object`
`getParentElement()`
`TreePath`
`getTreePath()`
`boolean`
`hasChildren()`
`boolean`
`isDisposed()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.ui.views.ContainerItemProvider.Node

`getChildren, getElement`

## Constructor Details

### AbstractNode

public AbstractNode(ContainerItemProvider.Node parent)

## Method Details

### getParentElement

public final Object getParentElement()

Specified by:
  `getParentElement` in interface `ContainerItemProvider.Node`

### isDisposed

public boolean isDisposed()

Specified by:
  `isDisposed` in interface `ContainerItemProvider.Node`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `ContainerItemProvider.Node`

### disposeChildren

public void disposeChildren()

Specified by:
  `disposeChildren` in interface `ContainerItemProvider.Node`
Since:
  3.5

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getParent

public final ContainerItemProvider.Node getParent()

Specified by:
  `getParent` in interface `ContainerItemProvider.Node`

### getTreePath

public TreePath getTreePath()

Specified by:
  `getTreePath` in interface `ContainerItemProvider.Node`

### hasChildren

public boolean hasChildren()

Specified by:
  `hasChildren` in interface `ContainerItemProvider.Node`
Since:
  3.5

### checkNotDisposed

protected void checkNotDisposed()

### addChild

protected ContainerItemProvider.Node addChild(Collection<ContainerItemProvider.Node> children, Object element)